=head1 NAME

Gtk2::WebKit::WebInspector

=cut

=head1 HIERARCHY

  Glib::Object
  +----Gtk2::WebKit::WebInspector



=cut


=head1 METHODS

=head2 $web_inspector-E<gt>B<close> 

=head2 $web_inspector-E<gt>B<inspect_coordinates> ($x, $y)

=over

=item * $x (double) 

=item * $y (double) 

=back

=head2 string = $web_inspector-E<gt>B<get_inspected_uri> 

=head2 $web_inspector-E<gt>B<show> 

=head2 webview = $web_inspector-E<gt>B<get_web_view> 



=cut


=head1 PROPERTIES

=over

=item 'inspected-uri' (string : default undef : readable / private)

The URI that is currently being inspected

=item 'javascript-profiling-enabled' (boolean : default false : readable / writable / private)

Profile the executed JavaScript.

=item 'timeline-profiling-enabled' (boolean : default false : readable / writable / private)

Profile the WebCore instrumentation.

=item 'web-view' (Gtk2::WebKit::WebView : default undef : readable / private)

The Web View that renders the Web Inspector itself

=back



=cut


=head1 SIGNALS

=over

=item boolean = B<attach-window> (Gtk2::WebKit::WebInspector)

=item boolean = B<close-window> (Gtk2::WebKit::WebInspector)

=item boolean = B<detach-window> (Gtk2::WebKit::WebInspector)

=item B<finished> (Gtk2::WebKit::WebInspector)

=item Gtk2::WebKit::WebView = B<inspect-web-view> (Gtk2::WebKit::WebInspector, Gtk2::WebKit::WebView)

=item boolean = B<show-window> (Gtk2::WebKit::WebInspector)

=back



=cut


=head1 SEE ALSO

L<Gtk2::WebKit>, L<Glib::Object>


=cut


=head1 COPYRIGHT

Copyright (C) 2008, Florian Ragwitz


=cut

